CRMchat APIBeta
Telegram APIMessages

messages.getReplies

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getReplies

Get messages in a reply thread

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get messages in a reply thread

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getReplies" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "msgId": 0,      "offsetId": 0,      "offsetDate": 0,      "addOffset": 0,      "limit": 0,      "maxId": 0,      "minId": 0,      "hash": "string"    }  }'
{  "result": {    "_": "messages.messages",    "messages": [      {        "_": "messageEmpty",        "id": 0,        "peerId": {          "_": "peerUser",          "userId": 0        }      }    ],    "topics": [      {        "_": "forumTopicDeleted",        "id": 0      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}